/*!
Theme Name: Rosten Webstore
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-rosten
*/

/* Theme customization starts here
-------------------------------------------------------------- */
.single-product {
  #wrapper {
    .product {
      .product_title {
        /* font-weight: 500; */
      }
      .woocommerce-product-gallery {
        .woocommerce-product-gallery__image {
          img {
            border-radius: 20px;
          }
        }
      }
      form.cart {
        .quantity {
          @media (max-width: 580px) {
            margin-bottom: 12px !important;
          }
          :is(.minus, .plus, input.qty) {
            font-size: 22px;
            padding-top: 6px;
            padding-bottom: 6px;
            line-height: 1.6;
            @media (max-width: 1024px) {
              padding-top: 0px;
              padding-bottom: 0px;
            }
          }
        }
        .button.single_add_to_cart_button {
          line-height: 1.6;
          @media (max-width: 1024px) {
            padding-top: 0px;
            padding-bottom: 0px;
          }
        }
      }
    }
  }
}

#wrapper {
  & > footer {
    .kb-navigation {
      a {
        text-decoration: underline;
        transition: all 0s linear;
        &:hover {
          text-decoration: none;
        }
      }
    }
  }
}

#main-header {
  .header-search-bar {
    form {
      .search-field {
        border-radius: 30px;
        padding-left: 24px;
        padding-right: 24px;
        padding-top: 1px;
        padding-bottom: 1px;
        width: calc(100% - 50px);
      }
    }
  }
}

#mobile-drawer {
  .header-mobile-search-bar {
    form {
      .search-field {
        border-radius: 30px;
        padding-left: 24px;
        padding-right: 24px;
        padding-top: 1px;
        padding-bottom: 1px;
        width: calc(100% - 50px);
      }
    }
  }
}

/* @media (min-width: 769px) {
  .woocommerce ul.products {
    display: flex;
    flex-wrap: wrap;
  }
  .woocommerce ul.products li.product,
  .woocommerce ul.products li.product a {
    display: flex;
    flex-direction: column;
  }
  .woocommerce ul.products li.product a.woocommerce-LoopProduct-link {
    flex: 1;
  }
} */

:is(#main, .kwt-related-wrap) {
  .products {
    .product {
      gap: 1.5rem;
      .button {
        position: relative;
        float: left;
        width: auto;
      }
      .woocommerce-loop-image-link {
        border-radius: 20px;
      }
      .product-details {
        padding: 0;
        /* margin: 23px 0; */
        & > * {
          margin: 0 0 0 0;
          padding: 0;
        }
        .woocommerce-loop-product__title {
          margin-bottom: 23px;
        }
        .price {
          margin-bottom: 21px;
        }
        .product-action-wrap {
          margin-top: auto;
        }
      }
    }
  }
}

.single-product {
  .kwt-related-wrap.kwt-related-wrap {
    border-top: 1px solid #9b9b9b;
    margin-top: 20px;
    .related.products {
      h2 {
        margin: 40px 0;
      }
    }
  }
  &.woocommerce {
    .product {
      .woocommerce-tabs {
        @media screen and (max-width: 719px) {
          border: none;
          margin-bottom: 2em;
        }
      }
    }
  }
}

.kadence-shop-top-row {
  /* padding-bottom: var(--global-md-spacing);
    margin-bottom: var(--global-md-spacing);
    border-bottom: 1px solid #9b9b9b; */
}

/* Cart */
.woocommerce-cart {
  .wp-block-woocommerce-proceed-to-checkout-block {
    padding: 0;
    border: 0px solid transparent;
    min-height: 0;
    .wc-block-components-button.wc-block-cart__submit-button {
      min-height: auto;
      padding: 5px 40px 5px 40px;
      border-radius: 30px;
      box-shadow: 0px 0px 0px 0px rgba(0,0,0,0);
      border: 2px solid currentColor;
      border-color: var(--global-palette1);
      font-size: 22px;
    }
  }
}

/* Checkout */
.woocommerce-checkout {
  .wc-block-components-button.wc-block-components-checkout-place-order-button:not(.is-link) {
    font-size: 22px;
    min-height: auto;
    padding: 5px 40px 5px 40px;
    box-shadow: 0px 0px 0px 0px rgba(0,0,0,0)
  }
}
